REST APIWallet & TransactWallet

GET

Lists all forwarder addresses and their balances for a wallet. By default, returns low-balance forwarder addresses. A forwarder address has a low balance if the number of assets in it is less than the balance times by the current gas price times the transaction gas limit.

Path Params

  • coin string required
    A cryptocurrency symbol or token ticker symbol
  • walletId string required

    matches ^[0-9a-f]{32}$

Query Params

  • minimumBalance string number
    Lower bound of balance range.
  • maximumBalance string number
    Upper bound of balance range.

Responses

200
OK

Response Body

object

  • forwarders array of objects required
    forwarders object
    • address string required
      The forwarder address.
    • balance string required
      Current balance of the forwarder address.
400
Bad Request

Response Body

ONE OF

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id